/*SpUpd!_2018.11.20_0000664*/
/*needVer=2018.11.01_0000663*/


ALTER TABLE STACION
    ADD ONCO_SLUCH SMALLINT;
@
ALTER TABLE MTL
    ADD C_ZAB NUMERIC(1,0);
@
ALTER TABLE ONCO_DIRECTION
    ADD NAPR_MO CHAR(6);
@
COMMIT WORK;
@
COMMENT ON COLUMN STACION.ONCO_SLUCH IS
'1 -       CM...
(    2018 )';
@
CREATE OR ALTER procedure NEW_ONCO_DIRECT (
    IN_ID_ILL integer,
    IN_NOM_MTL smallint,
    IN_USLUG_FROM varchar(20),
    IN_DATE_FROM date,
    IN_DIR_TYPE smallint,
    IN_METHOD smallint,
    IN_USLUG_TO varchar(20),
    IN_DATE_DIR date,
    IN_NAPR_MO char(6))
as
begin
insert into onco_direction (ID_ILL, NOM_MTL, USLUG_FROM, DATE_FROM, DIR_TYPE, METHOD, USLUG_TO, DATE_DIR, NAPR_MO)
values(:in_ID_ILL, :in_NOM_MTL, :in_USLUG_FROM, :in_DATE_FROM, :in_DIR_TYPE, :in_METHOD, :in_USLUG_TO, :in_DATE_DIR, :in_NAPR_MO);
suspend;
end;
@
CREATE TABLE SPR_V027 (
    IDCZ SMALLINT NOT NULL,
    N_CZ VARCHAR(200) NOT NULL,
    DATEEBG DATE NOT NULL,
    DATEEND DATE);
@
COMMIT WORK;
@
INSERT INTO SPR_V027 (IDCZ, N_CZ, DATEEBG, DATEEND) VALUES (1, '', '2018-09-01 00:00:00', NULL);
@
INSERT INTO SPR_V027 (IDCZ, N_CZ, DATEEBG, DATEEND) VALUES (2, '    ', '2018-09-01 00:00:00', NULL);
@
INSERT INTO SPR_V027 (IDCZ, N_CZ, DATEEBG, DATEEND) VALUES (3, '  ', '2018-09-01 00:00:00', NULL);
@
CREATE TABLE CONSILIUM (
    ID_CONS INTEGER NOT NULL,
    ID_ILL INTEGER NOT NULL,
    NOM_MTL INTEGER NOT NULL,
    PR_CONS SMALLINT NOT NULL,
    DT_CONS DATE);
@
CREATE SEQUENCE GEN_CONSILIUM_ID;
@
COMMIT WORK;
@
create trigger consilium_bi for consilium
active before insert position 0
as
begin
  if (new.id_cons is null) then
    new.id_cons = gen_id(gen_consilium_id,1);
end;
@
COMMENT ON COLUMN CONSILIUM.PR_CONS IS
'    .V019';
@